Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime
Class BpelJacobRunnable

    java.lang.Object
      org.apache.ode.jacob.JacobObject
          org.apache.ode.jacob.JacobRunnable
              org.apache.ode.bpel.runtime.BpelJacobRunnable

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FOREACH, INVOKE, PROCESS, REPEATUNTIL, SCOPEACT

    public abstract class BpelJacobRunnable

extends JacobRunnable

Base class extended by all BPEL-related abstractions. Provides methods for manipulating the BPEL database, creating faults, and accessing the native facilities. Created on Jan 12, 2004 at 5:41:27 PM.

See Also:
  Serialized Form

Constructor Summary
`BpelJacobRunnable()`

Method Summary
`protected JacobRunnable` | `createChild(org.apache.ode.bpel.runtime.ActivityInfo childInfo, org.apache.ode.bpel.runtime.ScopeFrame scopeFrame, org.apache.ode.bpel.runtime.LinkFrame linkFrame)`
`protected FaultData` | `createFault(javax.xml.namespace.QName fault, org.w3c.dom.Element faultMsg, OVarType faultType, OBase location)`
`protected FaultData` | `createFault(javax.xml.namespace.QName fault, OBase location)`
`protected FaultData` | `createFault(javax.xml.namespace.QName fault, OBase location, java.lang.String faultExplanation)`
`protected long` | `genMonotonic()`
`protected BpelRuntimeContext` | `getBpelRuntimeContext()`
`protected void` | `initializeCorrelation(CorrelationSetInstance cset, VariableInstance variable)`
`protected org.apache.commons.logging.Log` | `log()`

Methods inherited from class org.apache.ode.jacob.JacobRunnable
`getImplementedMethods, run, toString`

Methods inherited from class org.apache.ode.jacob.JacobObject
`getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BpelJacobRunnable

    public BpelJacobRunnable()

Method Detail

### getBpelRuntimeContext

    protected BpelRuntimeContext getBpelRuntimeContext()

### log

    protected org.apache.commons.logging.Log log()

### createFault

    protected final FaultData createFault(javax.xml.namespace.QName fault,
                                          org.w3c.dom.Element faultMsg,
                                          OVarType faultType,
                                          OBase location)

### createFault

    protected final FaultData createFault(javax.xml.namespace.QName fault,
                                          OBase location,
                                          java.lang.String faultExplanation)

### createFault

    protected final FaultData createFault(javax.xml.namespace.QName fault,
                                          OBase location)

### createChild

    protected JacobRunnable createChild(org.apache.ode.bpel.runtime.ActivityInfo childInfo,
                                        org.apache.ode.bpel.runtime.ScopeFrame scopeFrame,
                                        org.apache.ode.bpel.runtime.LinkFrame linkFrame)

### initializeCorrelation

    protected void initializeCorrelation(CorrelationSetInstance cset,
                                         VariableInstance variable)
                                  throws FaultException

  Throws:
    `FaultException`

### genMonotonic

    protected long genMonotonic()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD